1. Catalogue
Qonvera
  • Qonvera Public API
    • Contacts
      • List contacts
      • Create a contact
      • Get a contact
      • Update safe contact fields
      • Create or update a prospect contact
      • Read durable workspace changes
    • Accounts
      • List accounts
      • Create an account
      • Get an account
      • Update safe account fields
      • Create or update a prospect account
    • Opportunities
      • List opportunities
      • Atomically create an opportunity
      • Get an opportunity
      • Update safe opportunity fields
    • Follow-ups
      • List follow-ups
      • Create an open follow-up
      • Get a follow-up
      • Update safe follow-up fields
    • Catalogue
      • List services
        GET
      • List pipelines
        GET
    • Receive a Qonvera CRM event
    • Schemas
      • Uuid
      • NullableUuid
      • NullableString
      • NullableEmail
      • NullableDate
      • NullableDateTime
      • Currency
      • TimestampFields
      • Contact
      • ContactPatch
      • ContactCreate
      • Account
      • AccountPatch
      • AccountCreate
      • ForecastCategory
      • Opportunity
      • OpportunityPatch
      • OpportunityServiceItem
      • OpportunityCreate
      • OpportunityCreateResultData
      • FollowupStatus
      • Followup
      • FollowupPatch
      • FollowupCreate
      • Service
      • Pipeline
      • ErrorDetail
      • ErrorEnvelope
      • ContactEnvelope
      • AccountEnvelope
      • OpportunityEnvelope
      • OpportunityCreateEnvelope
      • FollowupEnvelope
      • ContactListEnvelope
      • AccountListEnvelope
      • OpportunityListEnvelope
      • FollowupListEnvelope
      • ServiceListEnvelope
      • PipelineListEnvelope
      • WebhookEventType
      • WebhookEvent
      • ContactWebhookData
      • AccountWebhookData
      • OpportunityWebhookData
      • FollowupWebhookData
      • TestWebhookData
      • ProspectImport
      • ImportResult
      • ChangePage
  1. Catalogue

List pipelines

GET
/public/v1/pipelines
Stable ascending-ID cursor pagination. Active contacts exclude archived/merged records. Obtain a changes-feed watermark before the initial scan, then replay changes after that watermark to cover concurrent edits and deletions.

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Query Params

Responses

🟠429PipelineList
application/json
Pipeline list.
Bodyapplication/json

🟢200PipelineList
🟠401Unauthorized
🟠403Forbidden
🔴500QueryFailed
🔴503Unavailable
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://qonvera-521534438700.europe-west1.run.app/public/v1/pipelines?limit=&cursor=&updated_since=' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Example 1
{
    "data": [
        {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "name": "string",
            "description": "string",
            "is_default": true,
            "is_active": true,
            "updated_at": "2019-08-24T14:15:22.123Z",
            "integration_version": 1
        }
    ],
    "has_more": true,
    "next_cursor": "a7ec8888-a9c3-4732-a281-9a08510f220b"
}
Modified at 2026-10-01 15:06:08
Previous
List services
Next
Receive a Qonvera CRM event
Built with